Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf
Class BorderUIResource.CompoundBorderUIResource

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder
            |
            +--javax.swing.border.CompoundBorder
                  |
                  +--javax.swing.plaf.BorderUIResource.CompoundBorderUIResource

All Implemented Interfaces:
  Border, Serializable, UIResource

Enclosing class:
  BorderUIResource

public static class BorderUIResource.CompoundBorderUIResource
extends CompoundBorder
implements UIResource

See Also:
  Serialized Form

Fields inherited from class javax.swing.border.CompoundBorder
`insideBorder, outsideBorder`

Constructor Summary
`BorderUIResource.CompoundBorderUIResource(Border outsideBorder, Border insideBorder)`

Methods inherited from class javax.swing.border.CompoundBorder
`getBorderInsets, getBorderInsets, getInsideBorder, getOutsideBorder, isBorderOpaque, paintBorder`

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorderUIResource.CompoundBorderUIResource

    public BorderUIResource.CompoundBorderUIResource(Border outsideBorder,
                                                     Border insideBorder)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.